$tooltip-offset: -.25em

.#{$namespace}
  &-tooltip
    display: inline-flex
    overflow: auto
    position: relative
    overflow: visible
    text-transform: none !important
    
    &-message
      background-color: rgba(nth($blue-grey-darken, 5), .9)
      color: white
      text-shadow: 0 -1px 0 rgba(black, .5)
      padding: .25em .5em
      border-radius: .125em
      font-size: $size-7
      line-height: 1.1
      text-align: center
      word-break: normal

      position: absolute

      &.is-left
        top: 50%
        left: $tooltip-offset
        transform: translate(-100%, -50%)
        transform-origin: 100% 50%
      &.is-right
        top: 50%
        right: $tooltip-offset
        transform: translate(100%, -50%)
        transform-origin: 0% 50%
      &.is-bottom
        bottom: $tooltip-offset
        left: 50%
        transform: translate(-50%, 100%)
        transform-origin: 50% 100%
      &.is-top
        top: $tooltip-offset
        left: 50%
        transform: translate(-50%, -100%)
        transform-origin: 50% 0%

.has-tooltip
  border-bottom: 1px dashed rgba($secondary,.5)